magnifying-glassGet a cashout status

Retrieve Cashout Status

post

This API allows you to retrieve the status of a cashout.

Header parameters
Content-TypestringRequired

Media type of the body sent to the API. Must be application/json.

Default: application/json
Payload-SignaturestringRequired

Control Signature.

Example: 2e5023770760ea0a02230bff1a6dab934fe3b47a5e3d43854b58676600ee3868
Body
loginstringRequired

Your onekeypayments CASHOUTS API login key. Length 32 max.

Example: cashout_login
passstringRequired

Your onekeypayments CASHOUTS API pass key. Length 32 max.

Example: cashout_pass
cashout_idnumberOptional

The ID of the cashout to check status of. It is the one generated by onekeypayments when the cashout was created. (Required if external_id is not provided)

Example: 11954
external_idstringOptional

The ID of the cashout to check status of. It is the one you sent when the cashout was created. (Required if cashout_id is not provided)

Responses
chevron-right
200

The status of the cashout was successfully retrieved.

application/json
cashout_statusinteger · enumOptional

Status code of the cashout.

  • 0: PENDING - The cashout was accepted by onekeypayments but it wasn't sent to the bank yet. It can still be Canceled.
  • 1: COMPLETED - The money reached the customer's account.
  • 2: CANCELLED - The cashout was cancelled by you.
  • 3: REJECTED - The cashout was rejected by the bank due to invalid bank account, account closed, etc.
  • 4: DELIVERED - The cashout was sent to the bank for processing. At this point it can't be cancelled anymore.
  • 5: ON HOLD - Cashout set to on hold by you. It won't be processed until manually changed again to Pending status.
Example: 1Possible values:
cashout_status_descriptionstringOptional

Description of the status. (e.g., "Completed", "Pending", etc.)

Example: Completed
rejection_codeinteger · enumOptional

Rejection code if the cashout status is REJECTED. See enum for possible bank rejection codes.

Example: 800Possible values:
rejection_reasonstringOptional

Textual reason for rejection, corresponding to the rejection_code. (e.g., "ERROR_ACCOUNT_INCORRECT")

Example: ERROR_ACCOUNT_INCORRECT
provider_external_referencestringOptional

ID of the transaction on the bank side. For Pix, it's the E2E ID (End-to-end).

Example: E352104102024022919987ScFRY3aab3
post
/v3/cashout/status

Last updated

Was this helpful?